#+TITLE: Phundrak’s dotfiles
#+AUTHOR: Lucien Cartier-Tilet
#+EMAIL: lucien@phundrak.com
#+CREATOR: Lucien Cartier-Tilet
#+LANGUAGE: en
#+OPTIONS: auto-id:t H:4 broken_links:mark email:t ^:{}
#+KEYWORDS: dotfiles linux emacs configuration phundrak drakpa

* Presentation
  :PROPERTIES:
  :CUSTOM_ID: Presentation-e5605995
  :END:
  [[https://drone.phundrak.com/phundrak/dotfiles][file:https://drone.phundrak.com/api/badges/phundrak/dotfiles/status.svg]]

  This repository is where  I keep most of my configuration  files. With what is
  stored here, anyone can recreate a working desktop configuration similar to my
  daily one.

  My dotfiles are managed by [[https://yadm.io/][yadm]], and  although I don’t use its alternate files
  features (which  is pretty  neat btw),  it allows me  to painlessly  manage my
  dotfiles right where  they are and not in a  separate Git repository somewhere
  with everything symlinked. Another advantage  of yadm is it will automatically
  execute (with  your authorization,  of course) my  homemade bootstrap  when my
  dotfiles are cloned through yadm.

* Where’s the config file for X?
  :PROPERTIES:
  :CUSTOM_ID: Where’s_the_config_file_for_X?-7b214c4a
  :END:
  As you  may have  noticed, I am  striving for a  100% amount  of configuration
  files exported from Org files, that  is, through literary programming. This is
  still very much a work in progress though.  Most of what you need can be found
  in my [[file:org/config/index.org][index.org]] file and in its folder.

* Some more info please?
  :PROPERTIES:
  :CUSTOM_ID: Some_more_info_please?-f54ae73a
  :END:
  Everything you need to know is in my [[file:org/config/]] folder, and my Org files
  are also available in web format on my website [[https://config.phundrak.com/][config.phundrak.com]].

* Neat, what’s the license?
  :PROPERTIES:
  :CUSTOM_ID: Neat,_what’s_the_license?-399aa236
  :END:
  All of my  dotfiles (and my dotfiles  only) are available under  the GNU GPLv3
  Licence. Please  consult [[file:LICENCE.md]] for  more information. In  short: you
  are free to  access, edit and redistribute  all of my dotfiles  under the same
  licence and as allowed by the licence, and if you fuck up something, it’s your
  own responsibility.
